<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12" *ngIf="listLookupCodeHinhThucKYLuat$ | async as listLookupCodeHinhThucKYLuat">
      <mb-select [mbDataSelects]="listLookupCodeHinhThucKYLuat.data"
                 [mbType]="isSubmitted && form.controls['type'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['type'].errors !== null"
                 [mbErrors]="form.controls['type'].errors" mbKeyLabel="meaning" mbKeyValue="value"
                 [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'goaManagement.setupSystem.label.table.typeName' | translate }},]"
                 mbPlaceholder="{{'goaManagement.setupSystem.label.chooseItemSetupSystem' | translate}}"
                 mbLabelText="{{'goaManagement.setupSystem.label.chooseItemSetupSystem' | translate}} <span class='label__required'>*</span>"
                 formControlName="type"
                 [mbDisable]="disabledTypeSelectPresent()"
      ></mb-select>
    </div>
    <div nz-col nzXs="24" nzLg="12" *ngIf="listClassificationShare$ | async as listClassificationShare">
      <mb-select [mbDataSelects]="listClassificationShare.data"
                 [mbType]="isSubmitted && form.controls['maxRanking'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['maxRanking'].errors !== null"
                 [mbErrors]="form.controls['maxRanking'].errors" mbKeyLabel="meaning" mbKeyValue="value"
                 [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'goaManagement.setupSystem.label.table.maxRankingName' | translate }},]"
                 mbPlaceholder="{{'goaManagement.setupSystem.label.table.maxRankingName' | translate}}"
                 mbLabelText="{{'goaManagement.setupSystem.label.table.maxRankingName' | translate}} <span class='label__required'>*</span>"
                 formControlName="maxRanking"></mb-select>
    </div>
    <div nz-col nzXs="12" nzLg="12">
      <mb-input-text formControlName="note"
                     [mbType]="isSubmitted && (form.controls['note'].errors || form.errors?.noAllowSpacePcName) ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[
        { errorName: 'maxlength', errorDescription: 'targerManager.validate.customMaxLength'
        | translate: {'paramName': 'goaManagement.common.note' | translate, 'numberLength': '50' | translate}},
       { errorName: 'pcfName', errorDescription: 'goaManagement.validate.code' | translate },

       ]" mbPlaceholderText="{{'goaManagement.common.note' | translate}}"
                     mbLabelText="{{'goaManagement.common.note' | translate}}"
      >
      </mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select formControlName="flagStatus" [mbDataSelects]="mbDataSelectsAssessmentStatus" [mbShowSearch]="false"
                 mbLabelText="{{'goaManagement.common.flagStatus' | translate}} <span class='label__required'>*</span>"
                 [mbShowError]="isSubmitted && form.controls['flagStatus'].errors !== null"
                 [mbType]="isSubmitted && (form.controls['flagStatus'].errors) ? 'error' : 'default'"
                 [mbErrors]="form.controls['flagStatus'].errors"
                 [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'goaManagement.common.flagStatus' | translate }},]"
      >
      </mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="isSubmitted && (form.controls['fromDate'].errors ) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.controls['fromDate'].errors ) !== null"
        [mbErrors]="form.controls['fromDate'].errors"

        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'goaManagement.validate.required'
        | translate: {'param': 'targerManager.setupAssessment.label.table.fromDate' | translate }},

        { errorName: 'rangeDateError2', errorDescription: 'rangeDateError2rangeDateError2rangeDateError2'
        | translate: {'param': 'targerManager.setupAssessment.label.table.fromDate' | translate }},

        { errorName: 'validRangeToCurrentDate1', errorDescription: 'targerManager.validate.validRangeToCurrentDate'
        | translate : {'fromDate': 'targerManager.setupAssessment.label.table.fromDate' | translate }},
        ]"
        mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.label.table.fromDate' | translate}} <span class='label__required'>*</span>"
        formControlName="fromDate"
        [mbDisabledDate]="disabledStartDate"
        [mbDisabled]="disabledTypeSelectPresent()"
      ></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="isSubmitted && (form.errors?.rangeDateError1) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.errors?.rangeDateError1) !== null"
        [mbErrors]="form.errors?.rangeDateError1 && form.errors"
        [mbErrorDefs]="[
        { errorName: 'rangeDateError1', errorDescription: 'goaManagement.validate.rangeDate.pareDateMoreLarge' | translate:
        {'fromDate': 'targerManager.setupAssessment.label.table.fromDate'
        | translate, 'toDate': 'targerManager.setupAssessment.label.table.toDate' | translate}}
        ]" mbPlaceholderText="{{'targerManager.common.input.placeholderInput' | translate}}"
        mbLabelText="{{'targerManager.setupAssessment.label.table.toDate' | translate}}"
        formControlName="toDate"></mb-date-picker>
    </div>
  </div>
</form>
